// Laden und speichern der Dämpfung mit der Farbänderungen erfolgen

bool loadhostname(String *name)
{
  // open file for reading.
  File configFile = SPIFFS.open("/cl_name.txt", "r");
  if (!configFile)
  {
    Serial.println("Failed to open cl_name.txt.");

    return false;
  }

  // Read content from config file.
  String content = configFile.readString();
  configFile.close();
  
  content.trim();

  // Check if ther is a second line available.
  int8_t pos = content.indexOf("\r\n");
  uint8_t le = 2;
  // check for linux and mac line ending.
//  if (pos == -1)
//  {
//    le = 1;
//    pos = content.indexOf("\n");
//    if (pos == -1)
//    {
//      pos = content.indexOf("\r");
//    }
//  }

//  // If there is no second line: Some information is missing.
//  if (pos == -1)
//  {
//    Serial.println("Invalid content.");
//    Serial.println(content);
//
//    return false;
//  }

  // Store name string vars.
  *name = content.substring(0, pos);

//  t->trim();

#ifdef SERIAL_VERBOSE
  Serial.println("----- file content -----");
  Serial.println(content);
  Serial.println("----- file content -----");
  Serial.println("Name: " + *name);
#endif

  return true;
} // loadConfig


/**
 * @brief Save WiFi SSID and PSK to configuration file.
 * @param ssid SSID as string pointer.
 * @param pass PSK as string pointer,
 * @return True or False.
 */
bool savehostname(String name)
{
  Serial.print("Speichern: ");
  Serial.println(name);
  
  // Open config file for writing.
  File configFile = SPIFFS.open("/cl_name.txt", "w");
  if (!configFile)
  {
    Serial.println("Failed to open cl_name.txt for writing");

    return false;
  }

  // Save SSID and PSK.
  configFile.println(name);

  configFile.close();
  
  return true;
} // saveConfig


